Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda
Class ExerciseMode

    java.lang.Object
      mauda.ExerciseMode

    public class ExerciseMode

extends java.lang.Object

Holds the different modes for exercises and maps them to strings and vice versa.

Author:
  Markus Krebs

Field Summary
`static int` | `FAULT` FaultMode
`static int` | `NORMAL` NormalMode
`static int` | `UNKNOWN` UnknownMode

Constructor Summary
`ExerciseMode()`

Method Summary
`static java.lang.String` | `getGUIString(int mode)` Gets for a mode-ID the corresponding mode-string.
`static int` | `getID(java.lang.String mode)` Gets for a mode-string the corresponding mode-ID
`static java.lang.String` | `getString(int mode)` Gets for a mode-ID the corresponding mode-string, which is used for saving-purposes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final int NORMAL

  NormalMode

  See Also:
    Constant Field Values

### FAULT

    public static final int FAULT

  FaultMode

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  UnknownMode

  See Also:
    Constant Field Values

Constructor Detail

### ExerciseMode

    public ExerciseMode()

Method Detail

### getID

    public static int getID(java.lang.String mode)

  Gets for a mode-string the corresponding mode-ID

  Parameters:
    `mode` - Mode as string
  Returns:
    id of the mode

### getString

    public static java.lang.String getString(int mode)

  Gets for a mode-ID the corresponding mode-string, which is used for saving-purposes.

  Parameters:
    `mode` - mode-ID
  Returns:
    A string-representation of the mode-ID

### getGUIString

    public static java.lang.String getGUIString(int mode)

  Gets for a mode-ID the corresponding mode-string. The difference to `getString` is, that this string is used in GUIS, e.g. menus or buttons.

  Parameters:
    `mode` - mode-ID
  Returns:
    A string-representation of the mode-ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD